## pogo-0.8.7.tar.gz

=== Makefile ===
INSTALL ?= install
MAKE ?= make
RM ?= rm
RMDIR ?= rmdir
prefix ?= /usr


PREFIX = $(DESTDIR)$(prefix)

BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
DATADIR = $(PREFIX)/share/pogo
SRCDIR = $(DATADIR)/src
PIXDIR = $(DATADIR)/pix
RESDIR = $(DATADIR)/res

APPDIR = $(PREFIX)/share/applications
ICONDIR = $(PREFIX)/share/pixmaps
LOCALEDIR = $(PREFIX)/share/locale

# CONFIGURE_IN = sed -e 's!prefix!$(PREFIX)!g'
CONFIGURE_IN = sed -e "s!prefix = '/usr'!prefix = '$(prefix)'!g"

LANGUAGES = `find locale/ -maxdepth 1 -mindepth 1 -type d -printf "%f "`

help:
	@echo Usage:
	@echo "make           - not used"
	@echo "make clean     - removes temporary data"
	@echo "make install   - installs data"
	@echo "make uninstall - uninstalls data"
	@echo "make test      - runs tests"
	@echo "make help      - prints this help"
	@echo

install:
	cat pogo.py | $(CONFIGURE_IN) > pogo;
	echo $(PREFIX)
	$(INSTALL) -m 755 -d $(BINDIR) $(MANDIR) $(DATADIR) $(SRCDIR) $(RESDIR) $(APPDIR) $(PIXDIR) $(ICONDIR)
	$(INSTALL) -m 755 -d $(SRCDIR)/gui
	$(INSTALL) -m 755 -d $(SRCDIR)/media
	$(INSTALL) -m 755 -d $(SRCDIR)/media/format
	$(INSTALL) -m 755 -d $(SRCDIR)/media/track
	$(INSTALL) -m 755 -d $(SRCDIR)/tools
	$(INSTALL) -m 755 -d $(SRCDIR)/modules
	$(INSTALL) -m 644 src/*.py $(SRCDIR)
	$(INSTALL) -m 644 src/gui/*.py $(SRCDIR)/gui
	$(INSTALL) -m 644 src/tools/*.py $(SRCDIR)/tools
	$(INSTALL) -m 644 src/media/*.py $(SRCDIR)/media
	$(INSTALL) -m 644 src/media/track/*.py $(SRCDIR)/media/track
	$(INSTALL) -m 644 src/media/format/*.py $(SRCDIR)/media/format
	$(INSTALL) -m 644 src/modules/*.py $(SRCDIR)/modules
	$(INSTALL) -m 644 res/*.ui $(RESDIR)
	$(INSTALL) -m 644 res/pogo.1 $(MANDIR)
	$(INSTALL) -m 644 pix/*.png $(PIXDIR)
	$(INSTALL) -m 644 pix/pogo.png $(ICONDIR)
	$(INSTALL) -m 644 res/pogo.desktop $(APPDIR)
	if test -L $(BINDIR)/pogo; then ${RM} $(BINDIR)/pogo; fi
	$(INSTALL) -m 755 pogo $(BINDIR)
	$(MAKE) -C po dist
	for lang in $(LANGUAGES); do \
		${INSTALL} -m 755 -d $(LOCALEDIR)/$$lang/LC_MESSAGES;\
		$(INSTALL) -m 644 locale/$$lang/LC_MESSAGES/pogo.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
	done

uninstall:
	${RM} $(BINDIR)/pogo
	${RM} $(APPDIR)/pogo.desktop
	${RM} $(MANDIR)/pogo.1
	${RM} $(ICONDIR)/pogo.png
	${RM} -rf $(DATADIR)
	$(RMDIR) --ignore-fail-on-non-empty $(BINDIR) $(MANDIR) $(APPDIR)
	for lang in $(LANGUAGES); do \
		${RM} $(LOCALEDIR)/$$lang/LC_MESSAGES/pogo.mo; \
	done

clean:
	$(MAKE) -C po clean
	${RM} src/*.py[co] res/*~ res/*.bak
	${RM} pogo

test:
	pyflakes src pogo.py

.PHONY: help clean install test

=== po/Makefile ===
INSTALL ?= install

PYFILES = $(shell find ../src -type f -name "*.py")
UIFILES = $(wildcard ../res/*.ui)
POFILES = $(wildcard *.po)

UIHFILES := $(UIFILES:.ui=.ui.h)

help:
	@echo USAGE:
	@echo "make update - updates pogo.pot and .po files"
	@echo "make dist   - creates .mo files in ../locale dir"
	@echo "make pl.po  - updates pl.po file OR creates new one"
	@echo "              (replace 'pl' with your language code)"

%.h: %
	intltool-extract --type="gettext/glade" $*
	sed -i '/^char \*s = N_("gtk-.*");$$/d' $@


pogo.pot: $(UIHFILES) $(PYFILES)
	xgettext -k_ -kN_ -o pogo.pot $(PYFILES) $(UIHFILES) --from-code=utf-8

%.po: pogo.pot
	@if test -f $@; then \
		echo -n "Updating '$*' language ";\
		msgmerge --update --backup=none $@ pogo.pot; \
	else \
		msginit -l $*.UTF8 -o $@; \
	fi

%.mo:
	for pofile in $(patsubst ../locale/%/LC_MESSAGES/pogo.mo,%.po,$@); do \
		${INSTALL} -m 755 -d $(subst pogo.mo,,$@);\
		msgconv -t UTF-8 $${pofile} -o $${pofile}_utf8;\
		msgfmt $${pofile}_utf8 -o $@;\
		rm $${pofile}_utf8;\
	done

update: $(POFILES)
dist: $(POFILES:%.po=../locale/%/LC_MESSAGES/pogo.mo)

clean:
	$(RM) $(UIHFILES)
	$(RM) $(POFILES:%.po=../locale/%/LC_MESSAGES/pogo.mo)
	#$(RM) pogo.pot

.PHONY:  update

=== debian/changelog ===
pogo (0.8.7-1) UNRELEASED; urgency=low

  * New upstream release
  * Move code to github.
  * Remove unused code.
  * Make debian package's dependency on dh-python explicit.
  * Include elementary-style icon in repo under pix/pogo-e-48.svg (thanks Felix).

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 03 Aug 2016 18:05:24 +0200

pogo (0.8.6-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix version number.
  * Update translations.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sat, 19 Sep 2015 12:07:24 +0200

pogo (0.8.5-1) UNRELEASED; urgency=low

  * New upstream release
  * Don't crash when 'find' or 'locate' are missing.
  * Add pyflakes test. Run with "make test".

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 18 Sep 2015 19:07:23 +0200

pogo (0.8.4-1) UNRELEASED; urgency=low

  * New upstream release
  * Skip non-existing files during exports.
  * Don't crash when clearing the playlist.
  * Log system info and library versions for easier debugging.

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 14 May 2015 20:20:31 +0200

pogo (0.8.3-1) UNRELEASED; urgency=low

  * New upstream release
  * Display filename in notification if track title is unknown.
  * Apply fix from decibel: Don't set VBR information for MP3 files (#1202195).
  * Apply fix from decibel: Remove obsolete volume handling code.

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 25 Jul 2014 00:41:03 +0200

pogo (0.8.2-1) UNRELEASED; urgency=low

  * New upstream release
  * Update the clickable buttons after the tracks have been rearranged (lp:1191891).
  * Disable zeitgeist module since its DBus interface causes problems frequently.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 30 Jun 2013 21:22:19 +0200

pogo (0.8.1-1) UNRELEASED; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 20 Jan 2013 22:44:51 +0100

pogo (0.8-1) precise; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 05 Sep 2012 16:10:57 +0200

pogo (0.7-1) precise; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 27 Apr 2012 19:24:38 +0200

pogo (0.6-1) precise; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 26 Mar 2012 21:18:20 +0200

pogo (0.5-1) experimental; urgency=low

  * New release

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 12 Jan 2012 13:46:05 +0200

pogo (0.4-1) experimental; urgency=low

  * Initial debian packaging

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 31 Oct 2011 15:50:05 +0200

=== debian/control ===
Source: pogo
Section: sound
Priority: optional
Maintainer: Jendrik Seipp <jendrikseipp@web.de>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python (>=2.7), dh-python
Standards-Version: 3.9.6
Homepage: https://github.com/jendrikseipp/pogo
Vcs-Git: git://github.com/jendrikseipp/pogo.git
Vcs-Browser: https://github.com/jendrikseipp/pogo

Package: pogo
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gtk2 (>=2.6.3-2),
         python-mutagen (>= 1.10),
         python-gst0.10 (>=0.10),
         python-dbus,
         python-pil,
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good,
         gstreamer0.10-alsa
Recommends: gstreamer0.10-plugins-ugly,
            gstreamer0.10-plugins-bad,
            python-notify (>=0.1),
            python-gnome2,
            python-gnomekeyring,
            python-zeitgeist
Description: Probably the simplest and fastest audio player for Linux.
 Pogo plays your music. Nothing else. It is both fast and easy-to-use. The clear
 interface uses the screen real-estate very efficiently. Other features include:
 Fast search on the harddrive and in the playlist, smart album grouping, cover
 display, desktop notifications and no music library.
 Pogo is a fork of Decibel Audio Player and supports most common audio formats.
 It is written in Python and uses GTK+ and gstreamer.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_auto_test:
	echo "Skipping tests"
